SINCE(1)

NAME
since - display content of a file since the last time

SYNOPSIS
since [-aefhlmnqvxz] [-d seconds] [-s file] files

DESCRIPTION
since is a utility designed to monitor log files. since is similar to tail(2) as it also displays information appended to a file. However since only displays the data which has been added since the last time since was run. If since is run on a particular file for the first time, then the entire file is displayed.

EXAMPLE
since /var/log/apache/{access,error}_log > /dev/null
lynx --dump http://localhost/ > /dev/null
since /var/log/apache/{access,error}_log

OPTIONS

-a  Make updates to the since state files atomic. This option configures since to use a temporary file and a rename(2) instead of updating the state file in situ.

-d seconds
    Specify the number of integer seconds to wait between polling files for changes. This option is only relevant in conjunction with the -f option and if the inotify mechanism is not being used.

-e  Print the header lines to standard error instead of standard output.

-f  Follow the specified files. This option is analogous to tail -f as the files are also polled for changes until the process is interrupted.

-h  Print a terse help message.

-l  Relaxed mode. If some data files are inaccessible since will not fail completely.

-m  Disable mmap(2), use read(2) instead to access state and data files. Note that for certain smaller io operations read(2) may be used even if this option has not been given.

-n  Do not update the .since file which keeps track of file growth.

-q  Make the utility operate more quietly.

-s filename
    Specify the state file explicitly. Using this option will also disable the use of fallback state files.

-v  Increase the verbosity. This option can be given multiple times.

-x  Ignore file arguments which have compressed extensions.

-z  Discard output. Similar to redirecting the output to /dev/null, but faster. If used in conjunction with the -f option, only the initial output will be discarded.

FILES
.since

    State file recording the length of the previously displayed files. The location of the file can be set on the command line using the -s option. If this option is not given, since will check the SINCE environment variable for the location of the state file. If the SINCE environment variable has not been set since will use the HOME environment variable and store the information in the file $HOME/.since. If the HOME variable is not set, since will use a getpwuid(3) lookup. If all these fail will use the file /tmp/since.

BUGS
since uses the inode of a file as its key, if that inode is recycled since will get confused. since is not particularly efficient when storing or looking up the stat(2) information. Functionality equivalent to since can probably be achieved with a number of trivial shell scripts.

COPYING
since may only be used, distributed and modified in accordance with the terms of the GPL (GNU General Public License) version 3 or newer as published by the FSF (Free Software Foundation).

SEE ALSO
tail(1), stat(2).